# Copyright (c) 2008-2009 gocept gmbh & co. kg
# See also LICENSE.txt
# $Id: persons.py 14316 2009-01-23 15:12:55Z zagy $

import grok
import zope.dublincore.interfaces

import gocept.directory.container
import gocept.directory.form
import gocept.directory.interfaces
import gocept.directory.person


class Persons(gocept.directory.container.Container):

    grok.implements(gocept.directory.interfaces.IPersons)


grok.templatedir('containertemplates')

class Index(gocept.directory.container.ContainerView):
    pass


class Add(gocept.directory.form.BasicAddForm):

    factory = gocept.directory.person.Person

    form_fields = grok.Fields(
        grok.Fields(gocept.directory.interfaces.IPerson,
                    omit_readonly=True))


@grok.subscribe(Persons, grok.IObjectAddedEvent)
def set_title(persons, event):
    dc = zope.dublincore.interfaces.IDCDescriptiveProperties(persons)
    dc.title = u'Persons'
